> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Lookup

> Card Lookup



## OpenAPI

````yaml /openapi/collections.json post /collection/bin-lookup
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/bin-lookup:
    post:
      tags:
        - Card
      summary: Card Lookup
      description: Card Lookup
      operationId: lookup card details
      requestBody:
        description: Checking for Card Details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardBin'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardBinResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CardBin:
      required:
        - cardBin
      type: object
      properties:
        cardBin:
          type: string
          example: '998467'
    CardBinResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: completed
        data:
          type: object
          properties:
            issuing_country:
              type: string
              example: NIGERIA NG
            bin:
              type: string
              example: '418745'
            card_type:
              type: string
              example: VISA
            issuer_info:
              type: string
              example: VISA ACCESS BANK PLC DEBIT CLASSIC
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.